--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/barcode/codeinit.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/barcode/codeinit.php	2025-06-27 11:43:39.454734000 +0000
@@ -294,16 +294,19 @@
 
 llxHeader('', $langs->trans("MassBarcodeInit"), '', '', 0, 0, '', '', '', 'mod-barcode page-codeinit');
 
-if (!GETPOST('dol_openinpopup', 'aZ')) {
-	print load_fiche_titre($langs->trans("MassBarcodeInit"), '', 'title_setup.png');
-	print '<br>';
-}
+print load_fiche_titre($langs->trans("MassBarcodeInit"), '', 'title_setup.png');
+print '<br>';
 
 print '<span class="opacitymedium">'.$langs->trans("MassBarcodeInitDesc").'</span><br>';
 print '<br>';
+
+//print img_picto('','puce').' '.$langs->trans("PrintsheetForOneBarCode").'<br>';
+//print '<br>';
+
 print '<br>';
 
 
+
 // Example 1 : Adding jquery code
 print '<script type="text/javascript">
 function confirm_erase() {
@@ -312,79 +315,64 @@
 </script>';
 
 
-// For products
-if (isModEnabled('product') || isModEnabled('service')) {
+// For thirdparty
+if (isModEnabled('societe')) {
 	print '<form action="'.$_SERVER["PHP_SELF"].'" method="POST">';
 	print '<input type="hidden" name="mode" value="label">';
-	print '<input type="hidden" name="action" value="initbarcodeproducts">';
+	print '<input type="hidden" name="action" value="initbarcodethirdparties">';
 	print '<input type="hidden" name="token" value="'.newToken().'">';
-	print '<input type="hidden" name="dol_openinpopup" value="'.GETPOST('dol_openinpopup', 'aZ').'">';
-
-	$nbproductno = $nbproducttotal = 0;
+	$nbthirdpartyno = $nbthirdpartytotal = 0;
 
 	print '<div class="divsection">';
 
-	print load_fiche_titre($langs->trans("BarcodeInitForProductsOrServices"), '', 'product');
+	print load_fiche_titre($langs->trans("BarcodeInitForThirdparties"), '', 'company');
 
-	$sql = "SELECT count(rowid) as nb, fk_product_type, datec";
-	$sql .= " FROM ".MAIN_DB_PREFIX."product";
-	$sql .= " WHERE barcode IS NULL OR barcode = ''";
-	$sql .= " AND entity IN (".getEntity('product').")";
-	$sql .= " GROUP BY fk_product_type, datec";
-	$sql .= " ORDER BY datec";
+	$sql = "SELECT count(rowid) as nb FROM ".MAIN_DB_PREFIX."societe where barcode IS NULL or barcode = ''";
 	$resql = $db->query($sql);
 	if ($resql) {
-		$num = $db->num_rows($resql);
-
-		$i = 0;
-		while ($i < $num) {
-			$obj = $db->fetch_object($resql);
-			$nbproductno += $obj->nb;
-
-			$i++;
-		}
+		$obj = $db->fetch_object($resql);
+		$nbthirdpartyno = $obj->nb;
 	} else {
 		dol_print_error($db);
 	}
 
-	$sql = "SELECT count(rowid) as nb FROM ".MAIN_DB_PREFIX."product";
-	$sql .= " WHERE entity IN (".getEntity('product').")";
+	$sql = "SELECT count(rowid) as nb FROM ".MAIN_DB_PREFIX."societe";
+	$sql .= " WHERE entity IN (".getEntity('societe').")";
 	$resql = $db->query($sql);
 	if ($resql) {
 		$obj = $db->fetch_object($resql);
-		$nbproducttotal = $obj->nb;
+		$nbthirdpartytotal = $obj->nb;
 	} else {
 		dol_print_error($db);
 	}
 
-	print $langs->trans("CurrentlyNWithoutBarCode", $nbproductno, $nbproducttotal, $langs->transnoentitiesnoconv("ProductsOrServices"))."\n";
-
-	$disabledproduct = $disabledproduct1 = 0;
+	print $langs->trans("CurrentlyNWithoutBarCode", $nbthirdpartyno, $nbthirdpartytotal, $langs->transnoentitiesnoconv("ThirdParties"))."\n";
 
+	$disabledthirdparty = $disabledthirdparty1 = 0;
 	$titleno = '';
-	if (is_object($modBarCodeProduct)) {
+
+	if (is_object($modBarCodeThirdparty)) {
 		print '<br>'.$langs->trans("BarCodeNumberManager").": ";
-		$objproduct = new Product($db);
-		print '<b>'.(isset($modBarCodeProduct->name) ? $modBarCodeProduct->name : $modBarCodeProduct->nom).'</b> - '.$langs->trans("NextValue").': <b>'.$modBarCodeProduct->getNextValue($objproduct).'</b><br>';
-		$disabledproduct = 0;
+		$objthirdparty = new Societe($db);
+		print '<b>'.(isset($modBarCodeThirdparty->name) ? $modBarCodeThirdparty->name : $modBarCodeThirdparty->nom).'</b> - '.$langs->trans("NextValue").': <b>'.$modBarCodeThirdparty->getNextValue($objthirdparty).'</b><br>';
+		$disabledthirdparty = 0;
 		print '<br>';
 	} else {
-		$disabledproduct = 1;
+		$disabledthirdparty = 1;
 		$titleno = $langs->trans("NoBarcodeNumberingTemplateDefined");
-		print '<br><div class="warning">'.$langs->trans("NoBarcodeNumberingTemplateDefined");
+		print '<div class="warning">'.$langs->trans("NoBarcodeNumberingTemplateDefined");
 		print '<br><a href="'.DOL_URL_ROOT.'/admin/barcode.php">'.$langs->trans("ToGenerateCodeDefineAutomaticRuleFirst").'</a>';
 		print '</div>';
 	}
-	if (empty($nbproductno)) {
-		$disabledproduct1 = 1;
+	if (empty($nbthirdpartyno)) {
+		$disabledthirdparty1 = 1;
 	}
 
-	//print '<input type="checkbox" id="erasealreadyset" name="erasealreadyset"> '.$langs->trans("ResetBarcodeForAllRecords").'<br>';
-	$moretagsproduct1 = (($disabledproduct || $disabledproduct1) ? ' disabled title="'.dol_escape_htmltag($titleno).'"' : '');
-	print '<input type="submit" class="button" name="submitformbarcodeproductgen" id="submitformbarcodeproductgen" value="'.$langs->trans("InitEmptyBarCode", min($maxperinit, $nbproductno)).'"'.$moretagsproduct1.'>';
-	$moretagsproduct2 = (($nbproductno == $nbproducttotal) ? ' disabled' : '');
+	$moretagsthirdparty1 = (($disabledthirdparty || $disabledthirdparty1) ? ' disabled title="'.dol_escape_htmltag($titleno).'"' : '');
+	print '<input class="button button-add" type="submit" id="submitformbarcodethirdpartygen" value="'.$langs->trans("InitEmptyBarCode", $nbthirdpartyno).'"'.$moretagsthirdparty1.'>';
+	$moretagsthirdparty2 = (($nbthirdpartyno == $nbthirdpartytotal) ? ' disabled' : '');
 	print ' &nbsp; ';
-	print '<input type="submit" class="button butActionDelete" name="eraseallproductbarcode" id="eraseallproductbarcode" value="'.$langs->trans("EraseAllCurrentBarCode").'"'.$moretagsproduct2.' onClick="return confirm_erase();">';
+	print '<input type="submit" class="button butActionDelete" name="eraseallthirdpartybarcode" id="eraseallthirdpartybarcode" value="'.$langs->trans("EraseAllCurrentBarCode").'"'.$moretagsthirdparty2.' onClick="return confirm_erase();">';
 	print '<br><br>';
 	print '</div>';
 	print '<br>';
@@ -392,67 +380,78 @@
 }
 
 
-
-// For thirdparty
-if (isModEnabled('societe')) {
+// For products
+if (isModEnabled('product') || isModEnabled('service')) {
 	print '<form action="'.$_SERVER["PHP_SELF"].'" method="POST">';
 	print '<input type="hidden" name="mode" value="label">';
-	print '<input type="hidden" name="action" value="initbarcodethirdparties">';
+	print '<input type="hidden" name="action" value="initbarcodeproducts">';
 	print '<input type="hidden" name="token" value="'.newToken().'">';
-	print '<input type="hidden" name="dol_openinpopup" value="'.GETPOST('dol_openinpopup', 'aZ').'">';
 
-	$nbthirdpartyno = $nbthirdpartytotal = 0;
+	$nbproductno = $nbproducttotal = 0;
 
 	print '<div class="divsection">';
 
-	print load_fiche_titre($langs->trans("BarcodeInitForThirdparties"), '', 'company');
+	print load_fiche_titre($langs->trans("BarcodeInitForProductsOrServices"), '', 'product');
 
-	$sql = "SELECT count(rowid) as nb FROM ".MAIN_DB_PREFIX."societe where barcode IS NULL or barcode = ''";
+	$sql = "SELECT count(rowid) as nb, fk_product_type, datec";
+	$sql .= " FROM ".MAIN_DB_PREFIX."product";
+	$sql .= " WHERE barcode IS NULL OR barcode = ''";
+	$sql .= " AND entity IN (".getEntity('product').")";
+	$sql .= " GROUP BY fk_product_type, datec";
+	$sql .= " ORDER BY datec";
 	$resql = $db->query($sql);
 	if ($resql) {
-		$obj = $db->fetch_object($resql);
-		$nbthirdpartyno = $obj->nb;
+		$num = $db->num_rows($resql);
+
+		$i = 0;
+		while ($i < $num) {
+			$obj = $db->fetch_object($resql);
+			$nbproductno += $obj->nb;
+
+			$i++;
+		}
 	} else {
 		dol_print_error($db);
 	}
 
-	$sql = "SELECT count(rowid) as nb FROM ".MAIN_DB_PREFIX."societe";
-	$sql .= " WHERE entity IN (".getEntity('societe').")";
+	$sql = "SELECT count(rowid) as nb FROM ".MAIN_DB_PREFIX."product";
+	$sql .= " WHERE entity IN (".getEntity('product').")";
 	$resql = $db->query($sql);
 	if ($resql) {
 		$obj = $db->fetch_object($resql);
-		$nbthirdpartytotal = $obj->nb;
+		$nbproducttotal = $obj->nb;
 	} else {
 		dol_print_error($db);
 	}
 
-	print $langs->trans("CurrentlyNWithoutBarCode", $nbthirdpartyno, $nbthirdpartytotal, $langs->transnoentitiesnoconv("ThirdParties"))."\n";
+	print $langs->trans("CurrentlyNWithoutBarCode", $nbproductno, $nbproducttotal, $langs->transnoentitiesnoconv("ProductsOrServices"))."\n";
 
-	$disabledthirdparty = $disabledthirdparty1 = 0;
-	$titleno = '';
+	$disabledproduct = $disabledproduct1 = 0;
 
-	if (is_object($modBarCodeThirdparty)) {
+	$titleno = '';
+	if (is_object($modBarCodeProduct)) {
 		print '<br>'.$langs->trans("BarCodeNumberManager").": ";
-		$objthirdparty = new Societe($db);
-		print '<b>'.(isset($modBarCodeThirdparty->name) ? $modBarCodeThirdparty->name : $modBarCodeThirdparty->nom).'</b> - '.$langs->trans("NextValue").': <b>'.$modBarCodeThirdparty->getNextValue($objthirdparty).'</b><br>';
-		$disabledthirdparty = 0;
+		$objproduct = new Product($db);
+		print '<b>'.(isset($modBarCodeProduct->name) ? $modBarCodeProduct->name : $modBarCodeProduct->nom).'</b> - '.$langs->trans("NextValue").': <b>'.$modBarCodeProduct->getNextValue($objproduct).'</b><br>';
+		$disabledproduct = 0;
 		print '<br>';
 	} else {
-		$disabledthirdparty = 1;
+		$disabledproduct = 1;
 		$titleno = $langs->trans("NoBarcodeNumberingTemplateDefined");
-		print '<div class="warning">'.$langs->trans("NoBarcodeNumberingTemplateDefined");
+		print '<br><div class="warning">'.$langs->trans("NoBarcodeNumberingTemplateDefined");
 		print '<br><a href="'.DOL_URL_ROOT.'/admin/barcode.php">'.$langs->trans("ToGenerateCodeDefineAutomaticRuleFirst").'</a>';
 		print '</div>';
 	}
-	if (empty($nbthirdpartyno)) {
-		$disabledthirdparty1 = 1;
+	if (empty($nbproductno)) {
+		$disabledproduct1 = 1;
 	}
 
-	$moretagsthirdparty1 = (($disabledthirdparty || $disabledthirdparty1) ? ' disabled title="'.dol_escape_htmltag($titleno).'"' : '');
-	print '<input class="button button-add" type="submit" id="submitformbarcodethirdpartygen" value="'.$langs->trans("InitEmptyBarCode", $nbthirdpartyno).'"'.$moretagsthirdparty1.'>';
-	$moretagsthirdparty2 = (($nbthirdpartyno == $nbthirdpartytotal) ? ' disabled' : '');
+	//print '<input type="checkbox" id="erasealreadyset" name="erasealreadyset"> '.$langs->trans("ResetBarcodeForAllRecords").'<br>';
+	$moretagsproduct1 = (($disabledproduct || $disabledproduct1) ? ' disabled title="'.dol_escape_htmltag($titleno).'"' : '');
+	print '<input type="submit" class="button" name="submitformbarcodeproductgen" id="submitformbarcodeproductgen" value="'.$langs->trans("InitEmptyBarCode", min($maxperinit, $nbproductno)).'"'.$moretagsproduct1.'>';
+	$moretagsproduct2 = (($nbproductno == $nbproducttotal) ? ' disabled' : '');
 	print ' &nbsp; ';
-	print '<input type="submit" class="button butActionDelete" name="eraseallthirdpartybarcode" id="eraseallthirdpartybarcode" value="'.$langs->trans("EraseAllCurrentBarCode").'"'.$moretagsthirdparty2.' onClick="return confirm_erase();">';
+	print '<input type="submit" class="button butActionDelete" name="eraseallproductbarcode" id="eraseallproductbarcode" value="'.$langs->trans("EraseAllCurrentBarCode").'"'.$moretagsproduct2.' onClick="return confirm_erase();">';
 	print '<br><br>';
 	print '</div>';
 	print '<br>';

########## blockedlog/class/blockedlog.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/blockedlog/class/blockedlog.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/blockedlog/class/blockedlog.class.php	2025-06-27 11:43:39.019647000 +0000
@@ -400,7 +400,7 @@
 	}
 
 	/**
-	 *	Populate properties of an unalterable log entry from object data
+	 *	Populate properties of log from object data
 	 *
 	 *	@param	CommonObject|stdClass	$object		object to store
 	 *	@param	string					$action		action
@@ -955,18 +955,18 @@
 
 		$previoushash = $this->getPreviousHash(1, 0); // This get last record and lock database until insert is done and transaction closed
 
-		$concatenatedata = $this->buildKeyForSignature();	// All the information for the hash (meta data + data saved)
+		$keyforsignature = $this->buildKeyForSignature();	// All the information for the hash (meta data + data saved)
 
 		$this->debuginfo = $this->buildFirstPartOfKeyForSignature();
 
 		include_once DOL_DOCUMENT_ROOT.'/core/lib/security.lib.php';
 
-		$this->signature_line = dol_hash($concatenatedata, '5'); // Not really useful
-		$this->signature = dol_hash($previoushash.$concatenatedata, '5');
+		$this->signature_line = dol_hash($keyforsignature, '5'); // Not really useful
+		$this->signature = dol_hash($previoushash.$keyforsignature, '5');
 		if ($forcesignature) {
 			$this->signature = $forcesignature;
 		}
-		//var_dump($concatenatedata);var_dump($previoushash);var_dump($this->signature_line);var_dump($this->signature);
+		//var_dump($keyforsignature);var_dump($previoushash);var_dump($this->signature_line);var_dump($this->signature);
 
 		$sql = "INSERT INTO ".MAIN_DB_PREFIX."blockedlog (";
 		$sql .= " date_creation,";
@@ -1049,11 +1049,11 @@
 		}
 
 		// Build the string for the signature
-		$concatenatedata = $this->buildKeyForSignature();
+		$keyforsignature = $this->buildKeyForSignature();
 
-		//$signature_line = dol_hash($concatenatedata, '5'); // Not really useful
-		$signature = dol_hash($previoushash.$concatenatedata, 'sha256');
-		//var_dump($previoushash); var_dump($concatenatedata); var_dump($signature_line); var_dump($signature);
+		//$signature_line = dol_hash($keyforsignature, '5'); // Not really useful
+		$signature = dol_hash($previoushash.$keyforsignature, 'sha256');
+		//var_dump($previoushash); var_dump($keyforsignature); var_dump($signature_line); var_dump($signature);
 
 		$res = ($signature === $this->signature);
 
@@ -1063,13 +1063,13 @@
 
 		if ($returnarray) {
 			if ($returnarray == 1) {
-				unset($concatenatedata);
+				unset($keyforsignature);
 				return array('checkresult' => $res, 'calculatedsignature' => $signature, 'previoushash' => $previoushash);
-			} else {	// Consume much memory ($concatenatedata is a large var)
-				return array('checkresult' => $res, 'calculatedsignature' => $signature, 'previoushash' => $previoushash, 'keyforsignature' => $concatenatedata);
+			} else {	// Consume much memory ($keyforsignature is a large var)
+				return array('checkresult' => $res, 'calculatedsignature' => $signature, 'previoushash' => $previoushash, 'keyforsignature' => $keyforsignature);
 			}
 		} else {
-			unset($concatenatedata);
+			unset($keyforsignature);
 			return $res;
 		}
 	}
@@ -1312,7 +1312,7 @@
 		$result = false;
 
 		$sql = "SELECT rowid FROM ".MAIN_DB_PREFIX."blockedlog";
-		$sql .= " WHERE entity = ".((int) $conf->entity);
+		$sql .= " WHERE entity = ".$conf->entity;
 		if ($ignoresystem) {
 			$sql .= " AND action not in ('MODULE_SET','MODULE_RESET')";
 		}

########## bom/bom_list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/bom/class/api_boms.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/bom/class/api_boms.class.php	2025-06-27 11:43:39.504783000 +0000
@@ -116,7 +116,7 @@
 		$obj_ret = array();
 		$tmpobject = new BOM($this->db);
 
-		$socid = DolibarrApiAccess::$user->socid ?: '';
+		$socid = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : '';
 
 		$restrictonsocid = 0; // Set to 1 if there is a field socid in table of object
 

########## bom/class/bom.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/bom/class/bom.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/bom/class/bom.class.php	2025-06-27 11:43:39.506711000 +0000
@@ -1442,20 +1442,16 @@
 							$this->error = $tmpproduct->error;
 							return -1;
 						}
-
-						$unit_cost = (float) (is_null($tmpproduct->cost_price) ? $tmpproduct->pmp : $tmpproduct->cost_price);
-						if (empty($unit_cost)) {	// @phpstan-ignore-line phpstan thinks this is always false. No,if unit_cost is 0, it is not.
+						$unit_cost = (!empty($tmpproduct->cost_price)) ? $tmpproduct->cost_price : $tmpproduct->pmp;
+						$line->unit_cost = (float) price2num($unit_cost);
+						if (empty($line->unit_cost)) {
 							if ($productFournisseur->find_min_price_product_fournisseur($line->fk_product) > 0) {
 								if ($productFournisseur->fourn_remise_percent != "0") {
 									$line->unit_cost = $productFournisseur->fourn_unitprice_with_discount;
 								} else {
 									$line->unit_cost = $productFournisseur->fourn_unitprice;
 								}
-							} else {
-								$line->unit_cost = 0;
 							}
-						} else {
-							$line->unit_cost = (float) price2num($unit_cost);
 						}
 
 						$line->total_cost = (float) price2num($line->qty * $line->unit_cost, 'MT');

########## categories/categorie_list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/categories/categorie_list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/categories/categorie_list.php	2025-06-27 11:43:39.551551000 +0000
@@ -483,10 +483,7 @@
 	$newcardbutton .= dolGetButtonTitleSeparator();
 	$newcardbutton .= dolGetButtonTitle($langs->trans('NewCategory'), '', 'fa fa-plus-circle', DOL_URL_ROOT.'/categories/card.php?action=create&type='.$type.'&backtopage='.urlencode($_SERVER["PHP_SELF"].'?type='.$type.$param).$param, '', $permissiontoadd);
 
-	$morehtmlrightbeforebutton = '';
-	if (!GETPOST('dol_openinpopup', 'aZ')) {
-		$morehtmlrightbeforebutton = '<a class="small paddingright marginrightonly" href="'.DOL_URL_ROOT.'/categories/index.php">'.$langs->trans("BackToCategoryTypes").'</a> &nbsp; ';
-	}
+	$morehtmlrightbeforebutton = '<a class="small paddingright marginrightonly" href="'.DOL_URL_ROOT.'/categories/index.php">'.$langs->trans("BackToCategoryTypes").'</a> &nbsp; ';
 
 	print_barre_liste($title, 0, $_SERVER["PHP_SELF"], $param, '', '', '', 0, $nbtotalofrecords, $object->picto, 0, $newcardbutton, '', 0, 0, 0, 1, $morehtmlrightbeforebutton);
 
@@ -613,10 +610,7 @@
 	$newcardbutton .= dolGetButtonTitleSeparator();
 	$newcardbutton .= dolGetButtonTitle($langs->trans('NewCategory'), '', 'fa fa-plus-circle', DOL_URL_ROOT.'/categories/card.php?action=create&type='.$type.'&backtopage='.urlencode($_SERVER["PHP_SELF"].'?type='.$type.$param).$param, '', $permissiontoadd);
 
-	$morehtmlrightbeforebutton = '';
-	if (!GETPOST('dol_openinpopup', 'aZ')) {
-		$morehtmlrightbeforebutton = '<a class="small paddingright marginrightonly" href="'.DOL_URL_ROOT.'/categories/index.php">'.$langs->trans("BackToCategoryTypes").'</a> &nbsp; ';
-	}
+	$morehtmlrightbeforebutton = '<a class="small paddingright marginrightonly" href="'.DOL_URL_ROOT.'/categories/index.php">'.$langs->trans("BackToCategoryTypes").'</a> &nbsp; ';
 
 	print_barre_liste($title, $page, $_SERVER["PHP_SELF"], $param, $sortfield, $sortorder, $massactionbutton, $num, $nbtotalofrecords, $object->picto, 0, $newcardbutton, '', $limit, 0, 0, 1, $morehtmlrightbeforebutton);
 

########## comm/action/card.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/action/card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/action/card.php	2025-06-27 11:43:39.622159000 +0000
@@ -1744,7 +1744,7 @@
 		print '$(document).ready(function () {
 	               $("#projectid").change(function () {
                         var url = "'.DOL_URL_ROOT.'/projet/ajax/projects.php?mode=gettasks&socid="+$("#search_socid").val()+"&projectid="+$("#projectid").val();
-						console.log("Call url to get the new list of tasks: "+url);
+						console.log("Call url to get new list of tasks: "+url);
                         $.get(url, function(data) {
                             console.log(data);
                             if (data) $("#taskid").html(data).select2();
@@ -1765,15 +1765,7 @@
 
 		$tid = GETPOSTISSET("projecttaskid") ? GETPOSTINT("projecttaskid") : (GETPOSTISSET("taskid") ? GETPOSTINT("taskid") : '');
 
-		if (empty($projectsListId)) {
-			print '<select class="valignmiddle flat maxwidth500 widthcentpercentminusxx minwidth150imp" id="taskid" name="taskid">';
-			print '<option class="opacitymedium">&nbsp;</option>';
-			print '<option class="opacitymedium" disabled data-html="'.dolPrintHTMLForAttribute($langs->trans("SelectAProjectFirst")).'">'.$langs->trans("SelectAProjectFirst").'</option>';
-			print '</select>';
-			print ajax_combobox('taskid');
-		} else {
-			print $formproject->selectTasks((!empty($societe->id) ? $societe->id : -1), $tid, 'taskid', 32, 0, '1', 1, 0, 0, 'maxwidth500 widthcentpercentminusxx', (string) $projectsListId, 'all', null, 1);
-		}
+		$formproject->selectTasks((!empty($societe->id) ? $societe->id : -1), $tid, 'taskid', 24, 0, '1', 1, 0, 0, 'maxwidth500 widthcentpercentminusxx', (string) $projectsListId);
 		print '</td></tr>';
 	}
 
@@ -2326,7 +2318,7 @@
                 })';
 				print '</script>'."\n";
 
-				print $formproject->selectTasks((!empty($societe->id) ? $societe->id : -1), $object->fk_element, 'fk_element', 24, 0, '', 1, 0, 0, 'maxwidth500', (string) $object->fk_project, 'all', null, 1);
+				$formproject->selectTasks((!empty($societe->id) ? $societe->id : -1), $object->fk_element, 'fk_element', 24, 0, '', 1, 0, 0, 'maxwidth500', (string) $object->fk_project);
 				print '<input type="hidden" name="elementtype" value="'.$object->elementtype.'">';
 
 				print '</td>';
@@ -2357,7 +2349,7 @@
 						$tid = GETPOSTINT("taskid");
 					}
 
-					print $formproject->selectTasks((!empty($societe->id) ? $societe->id : -1), $tid, 'taskid', 24, 0, '1', 1, 0, 0, 'maxwidth500 widthcentpercentminusxx', (string) $projectsListId, 'all', null, 1);
+					$formproject->selectTasks((!empty($societe->id) ? $societe->id : -1), $tid, 'taskid', 24, 0, '1', 1, 0, 0, 'maxwidth500 widthcentpercentminusxx', (string) $projectsListId);
 
 					print '</td>';
 				} else {

########## comm/action/class/actioncomm.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/action/class/actioncomm.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/action/class/actioncomm.class.php	2025-06-27 11:43:39.629146000 +0000
@@ -327,11 +327,6 @@
 	public $email_from;
 
 	/**
-	 * @var string Email reply to
-	 */
-	public $email_reply_to;
-
-	/**
 	 * @var string Email sender
 	 */
 	public $email_sender;

########## comm/action/class/api_agendaevents.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/action/class/api_agendaevents.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/action/class/api_agendaevents.class.php	2025-06-27 11:43:39.625850000 +0000
@@ -130,7 +130,7 @@
 		}
 
 		// case of external user
-		$socid = DolibarrApiAccess::$user->socid ?: 0;
+		$socid = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : 0;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;

########## comm/action/index.php
